%define libxml2_version 2.4.12-0.7
%define gtk2_version 2.5.0
%define pango_version 1.3.2

Summary: The libglade library for loading user interfaces
Name: libglade2
Version: 2.6.4
Release: 3.1%{?dist}
License: LGPLv2+
Group: System Environment/Libraries
Source: http://download.gnome.org/sources/libglade/2.6/libglade-%{version}.tar.bz2
URL: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: libxml2 >= %{libxml2_version}
Requires: gtk2 >= %{gtk2_version}
Requires: xml-common
BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: fontconfig
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: libtool
BuildRequires: gettext-devel

# http://bugzilla.gnome.org/show_bug.cgi?id=121025
Patch1: libglade-2.0.1-nowarning.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=510736
Patch2: libglade-secondary.patch

%description
Libglade is a small library that allows a program to load its user
interface from am XML description at runtime. Libglade uses the XML
file format used by the GLADE user interface builder GLADE, so
libglade acts as an alternative to GLADE's code generation
approach. Libglade also provides a simple interface for connecting
handlers to the various signals in the interface (on platforms where
the gmodule library works correctly, it is possible to connect all the
handlers with a single function call). Once the interface has been
instantiated, libglade gives no overhead, so other than the short
initial interface loading time, there is no performance tradeoff.

%package devel
Summary: The files needed for libglade application development
Group: Development/Libraries
Requires: %name = %{version}-%{release}
Requires: libxml2-devel >= %{libxml2_version}
Requires: gtk2-devel >= %{gtk2_version}
Requires: pkgconfig
Conflicts: libglade < 0.17

%description devel
The libglade-devel package contains the libraries and include files
that you can use to develop libglade applications.

%prep
%setup -q -n libglade-%{version}

%patch1 -p1 -b .nowarning
%patch2 -p1 -b .secondary

%build
%configure --disable-gtk-doc
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/libglade/2.0

%makeinstall

rm $RPM_BUILD_ROOT%{_libdir}/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING
%{_libdir}/lib*.so.*
%dir %{_libdir}/libglade
%dir %{_libdir}/libglade/2.0
%{_datadir}/xml/libglade

%files devel
%defattr(-, root, root)
%doc test-libglade.c
%{_bindir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gtk-doc/html/libglade

%changelog
* Fri Dec 10 2010 Eddy Nigg <eddy_nigg.org>
- Rebuild for StartCom Linux 6.0.x

* Mon Nov 30 2009 Dennis Gregorovic <dgregor@redhat.com> - 2.6.4-3.1
- Rebuilt for RHEL 6

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 14 2009 Matthias Clasen <mclasen@redhat.com> 2.6.4-2
- Require xml-common

* Tue Mar 17 2009 Matthias Clasen <mclasen@redhat.com> 2.6.4-1
- Update to 2.6.4

